| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.TreeList.CellRendererToggle

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods

Description

Renders a toggle button in a cell

- This module and all other modules in Graphics.UI.Gtk.TreeList are deprecated. Please use the modules in Graphics.UI.Gtk.ModelView.

Synopsis

data CellRendererToggle
class CellRendererClass o => CellRendererToggleClass o
castToCellRendererToggle :: GObjectClass obj => obj -> CellRendererToggle
toCellRendererToggle :: CellRendererToggleClass o => o -> CellRendererToggle
cellRendererToggleNew :: IO CellRendererToggle
cellRendererToggleGetRadio :: CellRendererToggleClass self => self -> IO Bool
cellRendererToggleSetRadio :: CellRendererToggleClass self => self -> Bool -> IO ()
cellRendererToggleGetActive :: CellRendererToggleClass self => self -> IO Bool
cellRendererToggleSetActive :: CellRendererToggleClass self => self -> Bool -> IO ()
cellActive :: Attribute CellRendererToggle Bool
cellRadio :: Attribute CellRendererToggle Bool

Detail
`CellRendererToggle` renders a toggle button in a cell. The button is drawn as a radio or checkbutton, depending on the radio property. When activated, it emits the toggled signal.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----CellRenderer
     |               +----CellRendererToggle

Types
data CellRendererToggle

Instances

GObjectClass CellRendererToggle
CellRendererToggleClass CellRendererToggle
CellRendererClass CellRendererToggle
ObjectClass CellRendererToggle

class CellRendererClass o => CellRendererToggleClass o

Instances

CellRendererToggleClass CellRendererToggle

castToCellRendererToggle :: GObjectClass obj => obj -> CellRendererToggle
toCellRendererToggle :: CellRendererToggleClass o => o -> CellRendererToggle
Constructors
cellRendererToggleNew :: IO CellRendererToggle
Create a new `CellRenderer` that displays a `ToggleButton`.
Methods
cellRendererToggleGetRadio :: CellRendererToggleClass self => self -> IO Bool
Returns wether the button is drawn as `RadioButton` or not.
cellRendererToggleSetRadio :: CellRendererToggleClass self => self -> Bool -> IO ()
Determine whether the button is drawn as `RadioButton` or not.
cellRendererToggleGetActive :: CellRendererToggleClass self => self -> IO Bool
Retrieve the current state of the button.
cellRendererToggleSetActive :: CellRendererToggleClass self => self -> Bool -> IO ()
Modify the state of the button.
cellActive :: Attribute CellRendererToggle Bool
Define the attribute that reflects the state of the button.
cellRadio :: Attribute CellRendererToggle Bool
Define an attribute that determines whether this button is shown as a `RadioButton` or as a normal `ToggleButton`.
Produced by Haddock version 2.4.2